Package de.willuhn.jameica.hbci.gui.chart

# Class AbstractChartDataSaldo

java.lang.Object
de.willuhn.jameica.hbci.gui.chart.AbstractChartDataSaldo

All Implemented Interfaces:
  `ChartData`, `LineChartData`

Direct Known Subclasses:
  `ChartDataSaldoForecast`, `ChartDataSaldoLimit`, `ChartDataSaldoSumme`, `ChartDataSaldoTrend`, `ChartDataSaldoVerlauf`

public abstract class AbstractChartDataSaldo extends Object implements LineChartData
Basis-Implementierung eines Datensatzes fuer die Darstellung des Saldenverlaufs.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

## Constructor Summary

Constructors
Constructor
Description
`AbstractChartDataSaldo()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColor()`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.
`boolean`
`getCurve()`
Legt fest, ob die Punkte gerade oder zu einer geschwungenen Linie verbunden werden sollen.
`String`
`getDataAttribute()`
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll.
`String`
`getLabelAttribute()`
Liefert den Namen des Attributs fuer die Beschriftung.
`LineStyle`
`getLineStyle()`
Liefert den Linienstil.
`int`
`getLineWidth()`
Liefert die Linienbreite in Pixel.
`boolean`
`isFilled()`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.
`boolean`
`isLegendEnabled()`
True, wenn die Linie in der Legende angezeigt werden soll.
`void`
`setColor(int[] color)`
Speichert die zu verwendende Farbe.
`void`
`setLegendEnabled(boolean legend)`
Legt fest, ob die Legende angezeigt werden soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.gui.chart.ChartData

`getData, getLabel`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractChartDataSaldo

public AbstractChartDataSaldo()

## Method Details

### getDataAttribute

public String getDataAttribute() throws RemoteException
Description copied from interface: `ChartData`
Liefert den Namen des Attributs, welches fuer die Werte verwendet werden soll. Der Wert des Attributes muss vom Typ java.lang.Number sein.

Specified by:
  `getDataAttribute` in interface `ChartData`
Returns:
  Name des Werte-Attributs.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getDataAttribute()`

### getLabelAttribute

public String getLabelAttribute() throws RemoteException
Description copied from interface: `ChartData`
Liefert den Namen des Attributs fuer die Beschriftung.

Specified by:
  `getLabelAttribute` in interface `ChartData`
Returns:
  Name des Attributs fuer die Beschriftung. Der Wert des Attributes muss vom Typ java.lang.Date sein.
Throws:
  `RemoteException`
See Also:
  - `ChartData.getLabelAttribute()`

### getCurve

public boolean getCurve()
Description copied from interface: `LineChartData`
Legt fest, ob die Punkte gerade oder zu einer geschwungenen Linie verbunden werden sollen.

Specified by:
  `getCurve` in interface `LineChartData`
Returns:
  true, wenn die Punkte zu einer geschwungenen Linie verbunden werden sollen.
See Also:
  - `LineChartData.getCurve()`

### getLineWidth

public int getLineWidth() throws RemoteException
Description copied from interface: `LineChartData`
Liefert die Linienbreite in Pixel.

Specified by:
  `getLineWidth` in interface `LineChartData`
Returns:
  die Linienbreite in Pixel.
Throws:
  `RemoteException`
See Also:
  - `LineChartData.getLineWidth()`

### getLineStyle

public LineStyle getLineStyle() throws RemoteException
Description copied from interface: `LineChartData`
Liefert den Linienstil.

Specified by:
  `getLineStyle` in interface `LineChartData`
Returns:
  der Linienstil.
Throws:
  `RemoteException`
See Also:
  - `LineChartData.getLineStyle()`

### isLegendEnabled

public boolean isLegendEnabled() throws RemoteException
Description copied from interface: `LineChartData`
True, wenn die Linie in der Legende angezeigt werden soll.

Specified by:
  `isLegendEnabled` in interface `LineChartData`
Returns:
  true, wenn die Linie in der Legende angezeigt werden soll.
Throws:
  `RemoteException`
See Also:
  - `LineChartData.isLegendEnabled()`

### setLegendEnabled

public void setLegendEnabled(boolean legend)
Legt fest, ob die Legende angezeigt werden soll.

Parameters:
  `legend` - true, wenn die Legende angezeigt werden soll.

### getColor

public int[] getColor() throws RemoteException
Description copied from interface: `LineChartData`
Liefert ein Array mit den Farbwerten (0-255) fuer Ror, Gruen und Blau.

Specified by:
  `getColor` in interface `LineChartData`
Returns:
  Array mit den Farbwerten oder null, wenn eine zufaellige Farbe gewaehlt werden soll.
Throws:
  `RemoteException`
See Also:
  - `LineChartData.getColor()`

### setColor

public void setColor(int[] color) throws RemoteException
Speichert die zu verwendende Farbe.

Parameters:
  `color` - die zu verwendende Farbe.
Throws:
  `RemoteException`

### isFilled

public boolean isFilled() throws RemoteException
Description copied from interface: `LineChartData`
Legt fest, ob die Flaeche unter der Linie gefüllt ist oder nicht.

Specified by:
  `isFilled` in interface `LineChartData`
Returns:
  true falls gefuellt.
Throws:
  `RemoteException`
See Also:
  - `LineChartData.isFilled()`